#!/bin/bash
#
# 25/03/2020 - v0.1
#

PACKAGES=`apt list --upgradable | cut -d"/" -f1 | grep electrosense | tr -s "\n" " "`

if [ -z "$PACKAGES" ]; then

	echo "[ES_UPDATE] No need to update electrosense system"
else
	echo "[ES_UPDATE] Some packages must be updated"

	# Stop electrosense
	rw
	sudo service electrosense-sensor-mqtt stop
	sudo apt install $PACKAGES --yes
	sync
	sudo reboot
fi

